%	$Id: ontology.pl,v 1.4 2008/10/30 01:34:00 mbar098 Exp mbar098 $

/*  predicates can only be 1 of the following:
- derived
- static
- metaLevel
- fluent

All the metaLevel, derived, static,  and fluent
predicates are described below.

The Ontology:

Name                      Type           Meaning
======================  =========  ============================================ 


*/

/*
derived predicates:
====================
*/

%% derived predicates info
:- multifile derived/1.
:- dynamic derived/1.

%% primitive predicate info
:- multifile primitive/1.
:- dynamic primitive/1.
primitive(Pred/Arity) :- not(derived(Pred/Arity)).



/*
static predicates:
==================


*/
%% static predicate info
:- multifile static/1.
:- dynamic static/1.

%% fluent predicates info
:- multifile fluent/1.
:- dynamic fluent/1.
fluent(Pred/Arity) :- not(static(Pred/Arity)).

/*
  metaLevel predicates:
  =====================

*/


%% metaLevel predicates info
:- multifile metaLevel/1.
:- dynamic metaLevel/1.


%% objectLevel predicates info
:- multifile objectLevel/1.
:- dynamic objectLevel/1.
objectLevel(Pred/Arity) :- not(metaLevel(Pred/Arity)).
